{ pkgs, ...}:

{
    programs.kitty.enable = true;
    wayland.windowManager.hyprland.enable = true;
    home.sessionVariables.NIXOS_OZONE_WL = "1";

    wayland.windowManager.hyprland.settings = {
	"$mod" = "SUPER";
    "$terminal" = "kitty";
    "$filemanager" = "dolphin";
    
	bind = [
		"$mod, F, exec, firefox"
	    "$mod, Q, exec, $terminal"
        "$mod, C, killactive, "
        "$mod, M, exit, "
        "$mod, V, togglefloating, "
        "$mod, R, exec, $menu"
        "$mod, S, exec, $power"
        "$mod, P, pseudo, "
        "$mod, J, togglesplit, "
    ];
    };
}
